package cn.com.countrygarden.bi.main.dao.ck;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.dto.ck.CkCleanerFieldConfigVo;
import cn.com.countrygarden.bi.main.dto.ck.CkCleanerQueyr;
import cn.com.countrygarden.bi.main.dto.ck.CkCleanerTableVo;
import cn.com.countrygarden.bi.main.model.ck.CkCleanerExpand;
import cn.com.countrygarden.bi.main.model.ck.CkFiledValueVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description:    保洁拓展数据-数据层
 * @author  木木子
 * @email 944528607@qq.com
 * @date  2020/4/20  9:15
 */
@org.apache.ibatis.annotations.Mapper
public interface CkCleanerExpandMapper extends Mapper<CkCleanerExpand>{

    List<CkCleanerTableVo> selectListData(@Param("query") CkCleanerQueyr cleanerQueyr);
    List<CkCleanerFieldConfigVo> cleanerFieldConfigVoList();

    int tatisticsProject(@Param("year") int year,@Param("month") int month,@Param("orgCode") String orgCode);

    List<CkCleanerTableVo> statisProjDetad(@Param("year") int year,@Param("month") int month,@Param("orgCode") String orgCode);

    List<CkCleanerTableVo> statisProjDetadNot(@Param("year") int year,@Param("month") int month);

    int ckCleanerCont(@Param("year") int year,@Param("month") int month,@Param("orgCode") String orgCode);


    List<CkFiledValueVo> selectRegionByBaseIds(@Param("basicIds")List<String> basicIds);

    List<CkCleanerTableVo> selectListDataNoChild(@Param("query") CkCleanerQueyr cleanerQueyr);

    List<CkCleanerTableVo> allBasic(@Param("year")Integer year,@Param("month")Integer month,@Param("updateDate")String updateDate);
}